<template>

  <i :class="iconClass"></i>

</template>

<script>

  export default {

    props: ["status"],

    computed: {

      iconClass() {

        let iconClass = "animated fadeIn fa fa-"

        if (this.status == 1) {
          iconClass += "clock-o text-warning"
        } else if (this.status == 2) {
          iconClass += "refresh text-info"
        } else if (this.status == 3) {
          iconClass += "check-circle text-success"
        } else if (this.status == 4) {
          iconClass += "times text-danger"
        }

        return iconClass
      }
    },
  }

</script>
